Bug 45729 - [bisected regression] Incorrect Mode Timing on DP Display, with 3.3-rc (due to interlaced CEA modes)
Summary: [bisected regression] Incorrect Mode Timing on DP Display, with 3.3-rc (due t...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Paulo Zanoni
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 61158
  Show dependency treegraph
 
Reported: 2012-02-07 01:15 UTC by Yi Sun
Modified: 2017-10-06 14:51 UTC (History)
9 users (show)

See Also:
i915 platform:
i915 features:


Attachments
The dmesg when the display turn to black on Sandybridge desktop (59.72 KB, text/plain)
2012-02-08 23:06 UTC, Yi Sun
no flags Details
the xrandr --verbose output with the additional modes (10.82 KB, text/plain)
2012-02-13 23:31 UTC, Yi Sun
no flags Details
Attempt to fix the 1440 modes (1.61 KB, patch)
2012-04-12 11:11 UTC, Paulo Zanoni
no flags Details | Splinter Review
Patches that should fix the problem (3.48 KB, application/x-gzip)
2012-04-13 11:17 UTC, Paulo Zanoni
no flags Details
dmesg after run testdisplay (123.24 KB, text/plain)
2012-04-16 01:59 UTC, Guang Yang
no flags Details
dmesg after run testdisplay on DP with drm.debug=0xe (123.27 KB, text/plain)
2012-05-08 19:31 UTC, Guang Yang
no flags Details
reject doubleclocled cea modes on dp (1.70 KB, patch)
2012-05-21 09:59 UTC, Daniel Vetter
no flags Details | Splinter Review
runtestdisplaydmesginfo (123.27 KB, text/plain)
2012-05-30 21:12 UTC, Guang Yang
no flags Details
run testdisplay dmesg info (50.29 KB, text/plain)
2012-08-28 07:57 UTC, shui yangwei
no flags Details
display dmesg info (94.04 KB, text/plain)
2012-09-10 07:40 UTC, shui yangwei
no flags Details
possible patch (1.79 KB, patch)
2013-02-15 15:41 UTC, Paulo Zanoni
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Yi Sun 2012-02-07 01:15:00 UTC
System Environment:
--------------------------
Platform:     SandyBridge IronLake
Libdrm:       (master)2.4.30-28-g10c0837780b2d4a33568c16bb92527e196d6c05e
Kernel:    (drm-intel-testing)60f1358afca2d7778138c6dc187a3198f1a2425f

Bug detailed description:
-------------------------
We got some incorrect mode timings while running the 'testdisplay' with DP display. Many of them can't be display correctly. With the latest kernel on -testing branch, the supported mode listed by "testdisplay -i" are as following:

  name refresh (Hz) hdisp hss hse htot vdisp vss vse vtot flags type clock
  1920x1200 60 1920 1968 2000 2080 1200 1203 1209 1235 0x9 0x48 154000
  1920x1080 50 1920 2448 2492 2640 1080 1084 1089 1125 0x5 0x40 148500
  1920x1080 60 1920 2008 2052 2200 1080 1084 1089 1125 0x5 0x40 148500
  1920x1080 24 1920 2558 2602 2750 1080 1084 1089 1125 0x5 0x40 74250
  1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
  1920x1080 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250
  1600x1200 60 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 162000
  1280x1024 75 1280 1296 1440 1688 1024 1025 1028 1066 0x5 0x40 135000
  1280x1024 60 1280 1328 1440 1688 1024 1025 1028 1066 0x5 0x40 108000
  1152x864 75 1152 1216 1344 1600 864 865 868 900 0x5 0x40 108000
  1280x720 50 1280 1720 1760 1980 720 725 730 750 0x5 0x40 74250
  1280x720 60 1280 1390 1430 1650 720 725 730 750 0x5 0x40 74250
  1440x576 50 1440 1464 1590 1728 576 580 586 625 0x1a 0x40 27000
  1024x768 75 1024 1040 1136 1312 768 769 772 800 0x5 0x40 78800
  1024x768 60 1024 1048 1184 1344 768 771 777 806 0xa 0x40 65000
  1440x480 60 1440 1478 1602 1716 480 488 494 525 0x1a 0x40 27000
  800x600 75 800 816 896 1056 600 601 604 625 0x5 0x40 49500
  800x600 60 800 840 968 1056 600 601 605 628 0x5 0x40 40000
  720x576 50 720 732 796 864 576 581 586 625 0xa 0x40 27000
  720x480 60 720 736 798 858 480 489 495 525 0xa 0x40 27000
  640x480 75 640 656 720 840 480 481 484 500 0xa 0x40 31500
  640x480 60 640 656 752 800 480 490 492 525 0xa 0x40 25200
  640x480 60 640 656 752 800 480 490 492 525 0xa 0x40 25175
  720x400 70 720 738 846 900 400 412 414 449 0x6 0x40 28320

We change a former version(097354eb14fa94d31a09c64d640643f58e4a5a9a) of Kernel on -next branch, and connect to the same DP display, then we get the following mode:

  name refresh (Hz) hdisp hss hse htot vdisp vss vse vtot flags type clock
  1920x1200 60 1920 1968 2000 2080 1200 1203 1209 1235 0x9 0x48 154000
  1920x1080 60 1920 2008 2052 2200 1080 1084 1089 1125 0x5 0x40 148500
  1600x1200 60 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 162000
  1280x1024 75 1280 1296 1440 1688 1024 1025 1028 1066 0x5 0x40 135000
  1280x1024 60 1280 1328 1440 1688 1024 1025 1028 1066 0x5 0x40 108000
  1152x864 75 1152 1216 1344 1600 864 865 868 900 0x5 0x40 108000
  1024x768 75 1024 1040 1136 1312 768 769 772 800 0x5 0x40 78800
  1024x768 60 1024 1048 1184 1344 768 771 777 806 0xa 0x40 65000
  800x600 75 800 816 896 1056 600 601 604 625 0x5 0x40 49500
  800x600 60 800 840 968 1056 600 601 605 628 0x5 0x40 40000
  640x480 75 640 656 720 840 480 481 484 500 0xa 0x40 31500
  640x480 60 640 656 752 800 480 490 492 525 0xa 0x40 25200
  720x400 70 720 738 846 900 400 412 414 449 0x6 0x40 28320
Comment 1 Daniel Vetter 2012-02-07 02:43:42 UTC
I'm a bit confused about where this error got introduced: Can you please bisect this one here and check whether it is due to a patch from -next or one from -fixes?

Also, can you list the modes that don't work? Or do all the modes that are new not work?
Comment 2 Daniel Vetter 2012-02-07 02:52:57 UTC
fyi to future me: This could be due to the new CEA modes in v3.3-rc1.
Comment 3 Yi Sun 2012-02-08 07:02:32 UTC
With bisect, the first bad commit is:

commit 54ac76f851a1789b047b74a8e14980f2dd1ac749
Author: Christian Schmidt <schmidt@digadd.de>
Date:   Mon Dec 19 14:53:16 2011 +0000

    drm/edid: support CEA video modes.

    TFT/plasma televisions and projectors have become commonplace, and so
    has the use of PCs to drive them. Add the video modes specified by an
    EDID's CEA extension to the mode database for a connector.

    Before:
    [    1.158869] [drm:drm_mode_debug_printmodeline], Modeline
    19:"1920x1080i" 0 74250 1920 2448 2492 2640 1080 1084 1094 1125 0x40 0x15
    [    1.158875] [drm:drm_mode_debug_printmodeline], Modeline
    18:"1920x1080i" 0 74250 1920 2008 2052 2200 1080 1084 1094 1125 0x48 0x15
    [    1.158882] [drm:drm_mode_debug_printmodeline], Modeline
    20:"1920x1080" 24 74250 1920 2558 2602 2750 1080 1084 1089 1125 0x40 0x5

    After:
    [    1.144175] [drm:drm_mode_debug_printmodeline], Modeline
    22:"1920x1080" 0 74250 1920 2448 2492 2640 1080 1084 1094 1125 0x40 0x15
    [    1.144179] [drm:drm_mode_debug_printmodeline], Modeline
    21:"1920x1080" 0 74250 1920 2008 2052 2200 1080 1084 1094 1125 0x48 0x15
    [    1.144187] [drm:drm_mode_debug_printmodeline], Modeline
    30:"1920x1080" 50 148500 1920 2448 2492 2640 1080 1084 1089 1125 0x40 0x5
    [    1.144190] [drm:drm_mode_debug_printmodeline], Modeline
    29:"1920x1080" 60 148500 1920 2008 2052 2200 1080 1084 1089 1125 0x40 0x5
    [    1.144192] [drm:drm_mode_debug_printmodeline], Modeline
    25:"1920x1080" 24 74250 1920 2558 2602 2750 1080 1084 1089 1125 0x40 0x5
    [    1.144195] [drm:drm_mode_debug_printmodeline], Modeline
    24:"1280x720" 50 74250 1280 1720 1760 1980 720 725 730 750 0x40 0x5
    [    1.144198] [drm:drm_mode_debug_printmodeline], Modeline
    23:"1280x720" 60 74250 1280 1390 1430 1650 720 725 730 750 0x40 0x5
    [    1.144201] [drm:drm_mode_debug_printmodeline], Modeline 27:"720x576"
    50 27000 720 732 796 864 576 581 586 625 0x40 0xa
    [    1.144203] [drm:drm_mode_debug_printmodeline], Modeline 26:"720x480"
    60 27000 720 736 798 858 480 489 495 525 0x40 0xa
    [    1.144206] [drm:drm_mode_debug_printmodeline], Modeline 28:"640x480"
    60 25175 640 656 752 800 480 490 492 525 0x40 0xa

    Signed-off-by: Christian Schmidt <schmidt@digadd.de>
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Dave Airlie <airlied@redhat.com>
Comment 4 Daniel Vetter 2012-02-08 07:12:50 UTC
So adding the CEA hdmi modes makes your dp display unhappy. Can you please check which of the new modelines are the ones that don't work? Maybe there's a funny pattern that we need to quirk away - that display isn't really the first one to need such treatment :(
Comment 5 Yi Sun 2012-02-08 23:06:42 UTC
Created attachment 56793 [details]
The dmesg when the display turn to black on Sandybridge desktop

On the IronLake platform, the following modes of the new modes can't be displayed correctly:
×  1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
×  1920x1080 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250
×  1440x576 50 1440 1464 1590 1728 576 580 586 625 0x1a 0x40 27000
×  1440x480 60 1440 1478 1602 1716 480 488 494 525 0x1a 0x40 27000
The rest new modes just turn on an incorrect screen.

But on the SandyBridge platform, the issue seems worse. When it displayed on mode line: 1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250, the screen turn to black and never come back again, until we reboot the system. The dmesg is attached when the screen turn to black on SandyBridge.
Comment 6 Daniel Vetter 2012-02-09 01:49:14 UTC
Can you please attach xrandr --verbose output on a kernel with the additional modes?
Comment 7 Yi Sun 2012-02-13 23:31:11 UTC
Created attachment 57007 [details]
the xrandr --verbose output with the additional modes
Comment 8 Daniel Vetter 2012-02-14 12:45:50 UTC
Hm, all the modes that don't work for you are interlaced ones, and the 4 modes you've mentioned are actually _all_ the interlaced ones. So interlaced seems to totally not work on your machines. It's a bit strange that you get these mode because interlace support isn't merged yet.

Can you please retry with latest drm-intel-next-queued and ensure that you have

commit 7c26e5c6edaec70f12984f7a3020864cc21e6fec
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Tue Feb 14 17:07:09 2012 -0200

    drm/i915: add missing SDVO bits for interlaced modes on ILK

That should give you fully working interlaced support on ilk.
Comment 9 Yi Sun 2012-02-15 18:07:21 UTC
The issue still exists with the latest kernel on -queued branch.

Not all the display could reproduce the issue. We have at least two reproducible displays. And because of this issue, the reproducible displays even doesn't work on their prefer mode while hot plugging in.
Comment 10 Daniel Vetter 2012-02-16 01:47:00 UTC
Just to check: do _all_ the displays that do no longer work work again as they did on 3.2 when you revert "support CEA video modes"?

I've also noticed that the you say "can't be displayed correctly" for the 4 interlaced modes you've listed in a previous comment. But then you also say that the other new modes "turn on an incorrect screen". Can you please elaborate on what this means and what exactly fails? Also, does the interlaced support change anything?

btw, I think it's easier if we stick to just the ilk platform and that specific display in this bug report here. If we resolve this and other platforms/display still have issues, we can then track that in separate bugs.
Comment 11 Yi Sun 2012-02-16 05:51:28 UTC
(In reply to comment #5)
> Created attachment 56793 [details]
> The dmesg when the display turn to black on Sandybridge desktop
> 
> On the IronLake platform, the following modes of the new modes can't be displayed correctly:
> ×  1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
> ×  1920x1080 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250
> ×  1440x576 50 1440 1464 1590 1728 576 580 586 625 0x1a 0x40 27000
> ×  1440x480 60 1440 1478 1602 1716 480 488 494 525 0x1a 0x40 27000
> The rest new modes just turn on an incorrect screen.
> 

Oh, sorry, my mistake here. I wanted to say that the rest additional modes could display correctly.
Comment 12 Yi Sun 2012-02-16 06:01:39 UTC
(In reply to comment #10)
> Just to check: do _all_ the displays that do no longer work work again as they did on 3.2 when you revert "support CEA video modes"?
> 
> I've also noticed that the you say "can't be displayed correctly" for the 4 interlaced modes you've listed in a previous comment. But then you also say that
> the other new modes "turn on an incorrect screen". Can you please elaborate on what this means and what exactly fails? Also, does the interlaced support change
> anything?
> 

So, I got some additional modes with the patch "support CEA video modes". Four of these additional modes can't work well. The rest of these additional modes could work well.

I tried the patch "add missing SDVO bits for interlaced modes on ILK", but it didn't change anything.

> btw, I think it's easier if we stick to just the ilk platform and that specific display in this bug report here. If we resolve this and other platforms/display
> still have issues, we can then track that in separate bugs.

Ok, in this bug, we only track the issue "the incorrect mode on ILK platform". Then maybe we should file a new bug to track the issue on SNB i mentioned before.
Comment 13 Daniel Vetter 2012-03-22 12:40:28 UTC
Paulo is our new Mr. Interlaced ...
Comment 14 Paulo Zanoni 2012-04-12 11:11:16 UTC
Created attachment 59873 [details] [review]
Attempt to fix the 1440 modes

Does this fix the 1440x{480,576}i modes? It's not the final patch, but will help the investigation.

I believe I can reproduce this problem in a TV that is far away from my office. I'll try the patch on it tonight.

The problem with the 1920x1080 resolution seems to be other.
Comment 15 Paulo Zanoni 2012-04-13 06:00:50 UTC
Another thing to try (fixed the TV I'm testing!):

Ignore the patch from previous comment. Boot the machine, git clone intel-gpu-tools from here:
http://cgit.freedesktop.org/~pzanoni/intel-gpu-tools/

Then use xrandr to change the mode to one of the 1440i modes that don't work (not the 1920 mode).

Run "sudo ./intel_infoframes -d". Check which transcoder is being used and which HDMI port is associated with it. Let's suppose you find your monitor is being used on transcoder B.

Then run:
sudo ./intel_infoframes -t B -f AVI -c 'PR 1'

This will change the AVI InfoFrame of transcoder B. It will set the PR parameter to 1.

It works for me!

These modes are "double clocked".

I really believe the fact that the 1920 mode is not working is a different bug (since this mode is not double clocked).

I'll write a proper Kernel patch for this and attach it here when it is finished.
Comment 16 Paulo Zanoni 2012-04-13 11:17:25 UTC
Created attachment 59926 [details]
Patches that should fix the problem

These should be the "real" patches that fix the problems on the 1440 modes.

Please apply them to the Kernel and test.

They fix the problem on my TV.

If they work, I guess we should open a separate bug report for the 1920x1080 bugged resolution.
Comment 17 Guang Yang 2012-04-16 01:58:19 UTC
(In reply to comment #16)
> Created attachment 59926 [details]
> Patches that should fix the problem
> These should be the "real" patches that fix the problems on the 1440 modes.
> Please apply them to the Kernel and test.
> They fix the problem on my TV.
> If they work, I guess we should open a separate bug report for the 1920x1080
> bugged resolution.

I have try the kernel of newest -fixes branch with this patch,the 1440x{480,576}i modes still don't work,here is the dmesg.
Comment 18 Guang Yang 2012-04-16 01:59:04 UTC
Created attachment 60048 [details]
dmesg after run testdisplay
Comment 19 Paulo Zanoni 2012-04-20 07:52:27 UTC
Oh, well... The fix relied on AVI InfoFrames and we don't have AVI InfoFrames on DisplayPort yet... I'm working on this.

OHOT, these modes were also not working for HDMI and the patches "fix" them on HDMI. If you have time, you could try to check HDMI.

The remaining problem is that I think the monitor is just ignoring half of the pixels (because we claim we have pixel repetition) so the screen gets really ugly/streched. I'm doing some tests on this.
Comment 20 Guang Yang 2012-04-22 01:54:17 UTC
(In reply to comment #19)
> Oh, well... The fix relied on AVI InfoFrames and we don't have AVI InfoFrames
> on DisplayPort yet... I'm working on this.
> OHOT, these modes were also not working for HDMI and the patches "fix" them on
> HDMI. If you have time, you could try to check HDMI.
> The remaining problem is that I think the monitor is just ignoring half of the
> pixels (because we claim we have pixel repetition) so the screen gets really
> ugly/streched. I'm doing some tests on this.

 I have try the HDMI,it can show all the modes correctly,including:
  1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
  1920x1080 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250
  1440x576 50 1440 1464 1590 1728 576 580 586 625 0x1a 0x40 27000
  1440x480 60 1440 1478 1602 1716 480 488 494 525 0x1a 0x40 27000
Comment 21 Guang Yang 2012-05-08 19:31:26 UTC
Created attachment 61262 [details]
dmesg after run testdisplay on DP with drm.debug=0xe

I try the new QA testing cycle with 
Kernel: (drm-intel-testing)25fcc53b96dd4801907d9b1cc4b76258ab0f3d65
the 1440x{480,576}i modes still don't work.
 And I attach a dmesg after running testdisplay -a on DP with drm.debug=0xe.
Comment 22 Daniel Vetter 2012-05-21 09:59:12 UTC
Created attachment 61924 [details] [review]
reject doubleclocled cea modes on dp

We can't actually make these modes work, so let's just reject them.

Please test whether this patch catches all modes and that testdisplay can now show all modes on dp.
Comment 23 Guang Yang 2012-05-22 20:14:58 UTC
(In reply to comment #22)
> Created attachment 61924 [details] [review] [review]
> reject doubleclocled cea modes on dp
> We can't actually make these modes work, so let's just reject them.
> Please test whether this patch catches all modes and that testdisplay can now
> show all modes on dp.
I try this patch,it can show all modes on dp.
Comment 24 Daniel Vetter 2012-05-29 06:08:35 UTC
Patch to fix the issues on DP (by disallowing these modes) merged to -fixes:

commit 0af78a2bb4296839cfe7a855cd128e8687e77bc1
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed May 23 11:30:55 2012 +0200

    drm/i915: reject doubleclocked cea modes on dp
Comment 25 Guang Yang 2012-05-30 21:12:57 UTC
Created attachment 62310 [details]
runtestdisplaydmesginfo

(In reply to comment #24)
> Patch to fix the issues on DP (by disallowing these modes) merged to -fixes:
> 
> commit 0af78a2bb4296839cfe7a855cd128e8687e77bc1
> Author: Daniel Vetter <daniel.vetter@ffwll.ch>
> Date:   Wed May 23 11:30:55 2012 +0200
> 
>     drm/i915: reject doubleclocked cea modes on dp
I try the latest kernel on -fix branch including this patch,there are more modes then before and three modes can't show correctly.
1920x1080 24 1920 2558 2602 2750 1080 1084 1089 1125 0x5 0x40 74250
1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
1920x1080 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250
Comment 26 Yi Sun 2012-06-24 23:44:10 UTC
I re-tried this issue, by running testdisplay -a. There still some modes can't be lighted. 

1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
1920x1080 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250
1600x1200 60 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 162000
1680x1050 60 1680 1784 1960 2240 1050 1053 1059 1089 0x6 0x40 146250

And the prefer mode can't be lighted for the second time:
1920x1200 60 1920 1968 2000 2080 1200 1203 1209 1235 0x9 0x48 154000
Comment 27 Yi Sun 2012-06-24 23:52:22 UTC
I tried it on Ironlake laptop(DELL e6510) with an eDP internal display and a external VGA display.
Comment 28 Daniel Vetter 2012-06-25 00:11:57 UTC
Hm, is this really the same issue? I've thought that this bug here is about some external DP monitors not being able to display some new modes correctly, not eDP?
Comment 29 Yi Sun 2012-06-25 00:51:38 UTC
(In reply to comment #27)
> I tried it on Ironlake laptop(DELL e6510) with an eDP internal display and a
> external VGA display.

Oh, sorry for my typo. I reproduced this issue with the external DP display.
Comment 30 Du Yan 2012-06-27 02:26:02 UTC
Running testdisplay –a on Ironlake platform with an DP external display and we found that the below mode can’t be lighted up:

2048x1536 60 2048 2200 2424 2800 1536 1537 1540 1589 0x6 0x0 267027
1920x1440 60 1920 2048 2256 2600 1440 1441 1444 1500 0x6 0x40 234000
1920x1200 85 1920 2064 2272 2624 1200 1203 1209 1262 0x6 0x40 281250
1920x1200 60 1920 2056 2256 2592 1200 1203 1209 1245 0x6 0x40 193250
1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
1920x1080 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250
1600x1200 75 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 202500
1680x1050 85 1680 1808 1984 2288 1050 1053 1059 1105 0x6 0x40 214750
1680x1050 75 1680 1800 1976 2272 1050 1053 1059 1099 0x6 0x40 187000
1024x768 86 1024 1032 1208 1264 768 768 772 817 0x15 0x40 44900
1024x576 60 1024 1064 1168 1312 576 577 580 597 0x6 0x0 46970
640x350 85 640 672 736 832 350 382 385 445 0x9 0x40 31500

Platform: Ironlake
Kernel: (drm-intel-testing)af7c3e1256db0f0526f6176e68a14ddbe96fab63
Some additional commit info:
Merge: ff049b6 d6f24d0
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Thu Jun 21 10:17:52 2012 +0200
Comment 31 Yi Sun 2012-06-27 22:52:21 UTC
 Platform: Sandybridge
 Kernel: (drm-intel-testing)af7c3e1256db0f0526f6176e68a14ddbe96fab63
 Some additional commit info:
 Merge: ff049b6 d6f24d0
 Author: Daniel Vetter <daniel.vetter@ffwll.ch>
 Date:   Thu Jun 21 10:17:52 2012 +0200


Also the following mode lines can't light up on DP display(Dell U2410).
1600x1200 60 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 162000
1280x800 60 1280 1328 1360 1440 800 803 809 823 0x9 0x40 71000
1024x768 70 1024 1048 1184 1328 768 771 777 806 0xa 0x40 75000
1024x768 60 1024 1048 1184 1344 768 771 777 806 0xa 0x40 65000
1024x576 60 1024 1064 1168 1312 576 577 580 597 0x6 0x0 46970
800x600 72 800 856 976 1040 600 637 643 666 0x5 0x40 50000
848x480 60 848 864 976 1088 480 486 494 517 0x5 0x40 33750
720x480 60 720 736 798 858 480 489 495 525 0xa 0x40 27000
640x480 75 640 656 720 840 480 481 484 500 0xa 0x40 31500
640x480 73 640 664 704 832 480 489 492 520 0xa 0x40 31500
640x480 60 640 656 752 800 480 490 492 525 0xa 0x40 25175
640x480 60 640 656 752 800 480 489 492 525 0xa 0x40 25175
Comment 32 Florian Mickler 2012-07-01 03:48:16 UTC
A patch referencing this bug report has been merged in Linux v3.5-rc1:

commit c846b6194dbe02d9f4fc8c0471e799babc1c3f47
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Fri Apr 13 16:31:41 2012 -0300

    drm/i915: make DBLCLK modes work
Comment 33 Du Yan 2012-07-03 18:51:01 UTC
(In reply to comment #32)
> A patch referencing this bug report has been merged in Linux v3.5-rc1:
> 
> commit c846b6194dbe02d9f4fc8c0471e799babc1c3f47
> Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
> Date:   Fri Apr 13 16:31:41 2012 -0300
> 
>     drm/i915: make DBLCLK modes work

Test with the patch, and the below modes can't light up:
https://bugs.freedesktop.org/attachment.cgi?id=63565

1920x1440 60 1920 2048 2256 2600 1440 1441 1444 1500 0x6 0x40 234000
1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
1920x1080 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250

Platform: Ironlake
Kernel: (drm-intel-next-queued)e486fad9136dce21f5ba4322ae0454d23805d342
Some additional commit info:
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Thu Jun 28 15:55:48 2012 -0300

    drm/i915: fix PIPE_WM_LINETIME definition
Comment 34 shui yangwei 2012-08-28 07:49:06 UTC
System Environment:
--------------------------
Platform:     SandyBridge IronLake
Kernel: (drm-intel-testing)ef6113ad0f406db4fbe2bcf3359dd938a6046d75

Bug detailed description:
-------------------------
We got some incorrect mode while running the 'testdisplay' with DP
display. Many of them can't be display correctly. With the latest kernel on
-testing branch, the failed light up modes are below:

  name refresh (Hz) hdisp hss hse htot vdisp vss vse vtot flags type clock
  2560x1600 60 2560 2608 2640 2720 1600 1603 1609 1646 0x9 0x48 268500
  1920x1440 60 1920 2048 2256 2600 1440 1441 1444 1500 0x6 0x40 234000
  1856x1392 60 1856 1952 2176 2528 1392 1393 1396 1439 0x6 0x40 218250
  1792x1344 75 1792 1888 2104 2456 1344 1345 1348 1417 0x6 0x40 261000
  1792x1344 60 1792 1920 2120 2448 1344 1345 1348 1394 0x6 0x40 204750
  1920x1200 85 1920 2064 2272 2624 1200 1203 1209 1262 0x6 0x40 281250
  1920x1080 50 1920 2448 2492 2640 1080 1084 1089 1125 0x5 0x40 148500
  1920x1080 60 1920 2008 2052 2200 1080 1084 1089 1125 0x5 0x40 148500
  1920x1080 24 1920 2558 2602 2750 1080 1084 1089 1125 0x5 0x40 74250
  1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
  1920x1080 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250
  1600x1200 85 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 229500
  1600x1200 75 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 202500
  1600x1200 70 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 189000
  1600x1200 65 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 175500
  1600x1200 60 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 162000
  1680x1050 85 1680 1808 1984 2288 1050 1053 1059 1105 0x6 0x40 214750
  1680x1050 75 1680 1800 1976 2272 1050 1053 1059 1099 0x6 0x40 187000
  1680x1050 60 1680 1784 1960 2240 1050 1053 1059 1089 0x6 0x40 146250
  1680x945 60 1680 1784 1960 2240 945 946 949 978 0x6 0x0 131481
  1400x1050 85 1400 1504 1656 1912 1050 1053 1057 1105 0x6 0x40 179500
  1400x1050 75 1400 1504 1648 1896 1050 1053 1057 1099 0x6 0x40 156000
  1400x1050 60 1400 1488 1632 1864 1050 1053 1057 1089 0x6 0x40 121750
  1440x900 85 1440 1544 1696 1952 900 903 909 948 0x6 0x40 157000
  1440x900 75 1440 1536 1688 1936 900 903 909 942 0x6 0x40 136750
  1280x800 60 1280 1352 1480 1680 800 803 809 831 0x9 0x40 83500
  1152x864 75 1152 1216 1344 1600 864 865 868 900 0x5 0x40 108000
  1280x768 85 1280 1360 1496 1712 768 771 778 809 0x6 0x40 117500
  1280x768 60 1280 1344 1472 1664 768 771 778 798 0x6 0x40 79500
  1280x720 50 1280 1720 1760 1980 720 725 730 750 0x5 0x40 74250
  1280x720 60 1280 1390 1430 1650 720 725 730 750 0x5 0x40 74250
  1024x768 86 1024 1032 1208 1264 768 768 772 817 0x15 0x40 44900
  1024x576 60 1024 1064 1168 1312 576 577 580 597 0x6 0x0 46970
  800x600 85 800 832 896 1048 600 601 604 631 0x5 0x40 56250
Comment 35 shui yangwei 2012-08-28 07:57:22 UTC
Created attachment 66201 [details]
run testdisplay dmesg info

2012/8/28 dmesg of testdisplay, some mode of dp not light up.
Comment 36 shui yangwei 2012-09-10 06:51:24 UTC
 

Kernel: (drm-intel-testing)c3c3d4e9c2daeca01c42040cda0e5e0579c5c80b

These mode below is also can't light up.
  1920x1080 50 1920 2448 2492 2640 1080 1084 1089 1125 0x5 0x40 148500
  1920x1080 60 1920 1968 2000 2080 1080 1083 1088 1110 0x9 0x40 138500
  1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
  1920x1080 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250
  1600x1200 60 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 162000
  1680x1050 60 1680 1784 1960 2240 1050 1053 1059 1089 0x6 0x40 146250
  1400x1050 75 1400 1504 1648 1896 1050 1053 1057 1099 0x6 0x40 156000
  1400x1050 60 1400 1488 1632 1864 1050 1053 1057 1089 0x6 0x40 121750
  1600x900 60 1600 1696 1864 2128 900 901 904 932 0x6 0x0 118963
  1440x900 75 1440 1536 1688 1936 900 903 909 942 0x6 0x40 136750

All mode checked by "testdisplay -i" are flowing:
  1920x1080 60 1920 2008 2052 2200 1080 1084 1089 1125 0x5 0x48 148500
  1920x1080 50 1920 2448 2492 2640 1080 1084 1089 1125 0x5 0x40 148500
  1920x1080 60 1920 1968 2000 2080 1080 1083 1088 1110 0x9 0x40 138500
  1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
  1920x1080 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250
  1600x1200 60 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 162000
  1680x1050 60 1680 1784 1960 2240 1050 1053 1059 1089 0x6 0x40 146250
  1680x945 60 1680 1784 1960 2240 945 946 949 978 0x6 0x0 131481
  1400x1050 75 1400 1504 1648 1896 1050 1053 1057 1099 0x6 0x40 156000
  1400x1050 60 1400 1488 1632 1864 1050 1053 1057 1089 0x6 0x40 121750
  1600x900 60 1600 1696 1864 2128 900 901 904 932 0x6 0x0 118963
  1280x1024 75 1280 1296 1440 1688 1024 1025 1028 1066 0x5 0x40 135000
  1280x1024 60 1280 1328 1440 1688 1024 1025 1028 1066 0x5 0x40 108000
  1440x900 75 1440 1536 1688 1936 900 903 909 942 0x6 0x40 136750
  1440x900 60 1440 1520 1672 1904 900 903 909 934 0x6 0x40 106500
  1280x960 60 1280 1376 1488 1800 960 961 964 1000 0x5 0x40 108000
  1366x768 60 1366 1436 1579 1792 768 771 774 798 0x5 0x40 85500
  1360x768 60 1360 1424 1536 1792 768 771 777 795 0x5 0x40 85500
  1280x800 75 1280 1360 1488 1696 800 803 809 838 0x6 0x40 106500
  1280x800 60 1280 1352 1480 1680 800 803 809 831 0x9 0x40 83500
  1152x864 75 1152 1216 1344 1600 864 865 868 900 0x5 0x40 108000
  1280x768 75 1280 1360 1488 1696 768 771 778 805 0x9 0x40 102250
  1280x768 60 1280 1344 1472 1664 768 771 778 798 0x6 0x40 79500
  1280x720 50 1280 1720 1760 1980 720 725 730 750 0x5 0x40 74250
  1280x720 60 1280 1390 1430 1650 720 725 730 750 0x5 0x40 74250
  1024x768 75 1024 1040 1136 1312 768 769 772 800 0x5 0x40 78800
  1024x768 70 1024 1048 1184 1328 768 771 777 806 0xa 0x40 75000
  1024x768 60 1024 1048 1184 1344 768 771 777 806 0xa 0x40 65000
  1024x576 60 1024 1064 1168 1312 576 577 580 597 0x6 0x0 46970
  832x624 75 832 864 928 1152 624 625 628 667 0xa 0x40 57284
  800x600 72 800 856 976 1040 600 637 643 666 0x5 0x40 50000
  800x600 75 800 816 896 1056 600 601 604 625 0x5 0x40 49500
  800x600 60 800 840 968 1056 600 601 605 628 0x5 0x40 40000
  800x600 56 800 824 896 1024 600 601 603 625 0x5 0x40 36000
  720x576 50 720 732 796 864 576 581 586 625 0xa 0x40 27000
  848x480 60 848 864 976 1088 480 486 494 517 0x5 0x40 33750
  720x480 60 720 736 798 858 480 489 495 525 0xa 0x40 27000
  640x480 73 640 664 704 832 480 489 491 520 0xa 0x40 31500
  640x480 75 640 656 720 840 480 481 484 500 0xa 0x40 31500
  640x480 67 640 704 768 864 480 483 486 525 0xa 0x40 30240
  640x480 60 640 656 752 800 480 490 492 525 0xa 0x40 25200
  640x480 60 640 656 752 800 480 490 492 525 0xa 0x40 25175
  720x400 70 720 738 846 900 400 412 414 449 0x6 0x40 28320
Comment 37 shui yangwei 2012-09-10 07:40:56 UTC
Created attachment 66902 [details]
display dmesg info

Kernel: (drm-intel-testing)c3c3d4e9c2daeca01c42040cda0e5e0579c5c80b


I redo display tests on a larger displayer, the following are modes which can't light up:
  2048x1536 60 2048 2200 2424 2800 1536 1537 1540 1589 0x6 0x0 267027
  1920x1440 60 1920 2048 2256 2600 1440 1441 1444 1500 0x6 0x40 234000
  2048x1152 60 2048 2184 2408 2768 1152 1153 1156 1192 0x6 0x0 198022
  1920x1200 85 1920 2064 2272 2624 1200 1203 1209 1262 0x6 0x40 281250
  1920x1200 75 1920 2056 2264 2608 1200 1203 1209 1255 0x6 0x40 245250
  1920x1080 50 1920 2448 2492 2640 1080 1084 1089 1125 0x5 0x40 148500
  1920x1080 60 1920 2008 2052 2200 1080 1084 1089 1125 0x5 0x40 148500  
  1920x1080 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
  1920x1080 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250
  1600x1200 75 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 202500
  1600x1200 70 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 189000
  1600x1200 65 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 175500
  1600x1200 60 1600 1664 1856 2160 1200 1201 1204 1250 0x5 0x40 162000
  1680x1050 85 1680 1808 1984 2288 1050 1053 1059 1105 0x6 0x40 214750
  1680x1050 75 1680 1800 1976 2272 1050 1053 1059 1099 0x6 0x40 187000
  1680x945 60 1680 1784 1960 2240 945 946 949 978 0x6 0x0 131481
  1400x1050 75 1400 1504 1648 1896 1050 1053 1057 1099 0x6 0x40 156000
  1400x1050 60 1400 1488 1632 1864 1050 1053 1057 1089 0x6 0x40 121750
  1440x900 85 1440 1544 1696 1952 900 903 909 948 0x6 0x40 157000
  1280x960 85 1280 1344 1504 1728 960 961 964 1011 0x5 0x40 148500
  1280x800 85 1280 1360 1496 1712 800 803 809 843 0x6 0x40 122500
  1280x800 60 1280 1352 1480 1680 800 803 809 831 0x9 0x40 83500
  1152x864 75 1152 1216 1344 1600 864 865 868 900 0x5 0x40 108000
  1280x768 85 1280 1360 1496 1712 768 771 778 809 0x6 0x40 117500
  1280x768 60 1280 1344 1472 1664 768 771 778 798 0x6 0x40 79500
  1280x720 50 1280 1720 1760 1980 720 725 730 750 0x5 0x40 74250
  1280x720 60 1280 1390 1430 1650 720 725 730 750 0x5 0x40 74250
  1024x768 86 1024 1032 1208 1264 768 768 772 817 0x15 0x40 44900

Some mode the screen can display, but scintillant frequently:
CRTS(3):  1280x800 75 1280 1360 1488 1696 800 803 809 838 0x6 0x40 106500
CRTS(3):  1280x768 75 1280 1360 1488 1696 768 771 778 805 0x9 0x40 102250
CRTS(3):  1024x768 85 1024 1072 1168 1376 768 769 772 808 0x5 0x40 94500

dmesg sources are attached.
Comment 38 shui yangwei 2012-10-17 08:18:23 UTC
Test with:
Kernel: (drm-intel-testing)6760818aad5622d7f20d7f1c45d75a8165aeaf24

below mode can't light up:
CRTS(3):[13]  1920x1080i 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
CRTS(3):[14]  1920x1080i 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74
CRTS(3):[40]  1280x800 60 1280 1352 1480 1680 800 803 809 831 0x9 0x40 83500
CRTS(3):[51]  1024x768i 86 1024 1032 1208 1264 768 768 772 817 0x15 0x40 44900
Comment 39 Paulo Zanoni 2013-02-15 15:10:15 UTC
I think this bug is actually many bugs all together. We do have some interlaced modes that don't work, but we also have more modes that don't work (so these are not the same regression). Also, for every test we should write which connector is being used (DP, HDMI, VGA, etc) because some modes may work with one connector and not the other. I'd also like to have a full "xrandr --verbose" attached for each test in addition to the bugged modes, so I will be able to check EDID and which connector is being used.

Maybe we could try to "group" specific modes that don't work and open separate bug reports for them. Example:
- "some interlaced modes don't work on HDMI"
- "no interlaced modes work on VGA"
- "some DP modes cause the screen to flicker"
- "some modes of this specific monitor XYZ Model 123 don't work"
- etc.

Otherwise, we'll only close this bug when 100% of the modes work on all connectors and all monitors, which is kind hard to check.
Comment 40 Paulo Zanoni 2013-02-15 15:41:00 UTC
Created attachment 74877 [details] [review]
possible patch

Can you please retest with this patch?
Comment 41 shui yangwei 2013-02-20 08:31:32 UTC
(In reply to comment #40)
> Created attachment 74877 [details] [review] [review]
> possible patch
> 
> Can you please retest with this patch?

Now, while running testdisplay, there's a new problem. It blocks our testing, while this bug fixed, I will review this bug carefully.

I reported a new bug:
Bug 61158 - [ILK] System hang while running testdisplay to mode 1280x800
Comment 42 Daniel Vetter 2013-02-20 11:07:10 UTC
Patch landed in drm-next (and -nightly):

commit 196e077dc165a307efbd9e7569f81bbdbcf18f65
Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
Date:   Fri Feb 15 13:36:27 2013 -0200

    drm: don't add inferred modes for monitors that don't support them


Not closing yet since we're waiting on test feedback (which is blocked atm).
Comment 43 shui yangwei 2013-02-28 02:19:29 UTC
(In reply to comment #42)
> Patch landed in drm-next (and -nightly):
> 
> commit 196e077dc165a307efbd9e7569f81bbdbcf18f65
> Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
> Date:   Fri Feb 15 13:36:27 2013 -0200
> 
>     drm: don't add inferred modes for monitors that don't support them
> 
> 
> Not closing yet since we're waiting on test feedback (which is blocked atm).

I have tested -nightly latest kernel:
______________________________________
Kernel: (drm-intel-nightly)15caa9b2bad16e0d4bf8c203dcc8325b1894ad09
Some additional commit info:
Merge: 8e14494 de0babd
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Fri Feb 22 13:05:06 2013 +0100

Description:
--------------------------------------
I find display mode has decreased to only 24, and there's also some mode can't light up.

CRTS(3):[0]  2560x1600 60 2560 2608 2640 2720 1600 1603 1609 1646 0x9 0x48 268500
CRTS(3):[6]  1920x1080i 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40 74250
CRTS(3):[7]  1920x1080i 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40 74250
CRTS(3):[9]  1280x1024 75 1280 1296 1440 1688 1024 1025 1028 1066 0x5 0x40 135000
Comment 44 Daniel Vetter 2013-06-16 11:45:25 UTC
(In reply to comment #43)
> (In reply to comment #42)
> > Patch landed in drm-next (and -nightly):
> > 
> > commit 196e077dc165a307efbd9e7569f81bbdbcf18f65
> > Author: Paulo Zanoni <paulo.r.zanoni@intel.com>
> > Date:   Fri Feb 15 13:36:27 2013 -0200
> > 
> >     drm: don't add inferred modes for monitors that don't support them
> > 
> > 
> > Not closing yet since we're waiting on test feedback (which is blocked atm).
> 
> I have tested -nightly latest kernel:
> ______________________________________
> Kernel: (drm-intel-nightly)15caa9b2bad16e0d4bf8c203dcc8325b1894ad09
> Some additional commit info:
> Merge: 8e14494 de0babd
> Author: Daniel Vetter <daniel.vetter@ffwll.ch>
> Date:   Fri Feb 22 13:05:06 2013 +0100
> 
> Description:
> --------------------------------------
> I find display mode has decreased to only 24, and there's also some mode
> can't light up.
> 
> CRTS(3):[0]  2560x1600 60 2560 2608 2640 2720 1600 1603 1609 1646 0x9 0x48
> 268500

This mode isn't in the original list from comment #1 Is this really the same setup?

If not I think we can close this bug since the original regression should be fixed now. The remaining issues here probably need to be tracked separately.

> CRTS(3):[6]  1920x1080i 50 1920 2448 2492 2640 1080 1084 1094 1125 0x15 0x40
> 74250
> CRTS(3):[7]  1920x1080i 60 1920 2008 2052 2200 1080 1084 1094 1125 0x15 0x40
> 74250
> CRTS(3):[9]  1280x1024 75 1280 1296 1440 1688 1024 1025 1028 1066 0x5 0x40
> 135000
Comment 45 Yi Sun 2013-06-17 01:19:41 UTC
Agree, close this one. Let's track another mode setting issue separately.
Comment 46 Elizabeth 2017-10-06 14:51:05 UTC
Closing old verified.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.